import {
  IconClear,
  IconDelete,
  IconEyeOff,
  IconEyeOn,
  IconLock,
  IconRedo,
  IconShadow,
  IconShadowOff,
  IconUndo,
  IconUnlock,
} from "@queenjs/icons";
import { createTipIcon } from "./create";

export const TipIcons = {
  Position: createTipIcon({
    icons: [IconShadowOff, IconShadow],
    tips: ["开启浮动", "关闭浮动"],
  }),
  Visible: createTipIcon({
    icons: [IconEyeOn, IconEyeOff],
    tips: ["显示", "隐藏"],
  }),
  Lock: createTipIcon({
    icons: [IconLock, IconUnlock],
    tips: ["显示", "隐藏"],
  }),
  Delete: createTipIcon({
    icons: [IconDelete],
    tips: ["删除"],
  }),
  ClearOffset: createTipIcon({
    icons: [IconClear],
    tips: ["清除偏移"],
  }),
  undo: createTipIcon({
    icons: [IconUndo],
    tips: ["撤销"],
  }),
  Redo: createTipIcon({
    icons: [IconRedo],
    tips: ["重做"],
  }),
};
